# Copyright (c) 2012 David Sugar, Tycho Softworks.
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

Name: switchview
Summary: SIP Witch Desktop Interface
Version: @VERSION@
Release: 0%{?dist}
License: GPLv3+
URL: http://www.gnutelephony.org
Group: Applications/System
Source: http://www.gnutelephony.org/dist/tarballs/switchview-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qt4-devel >= 4.8.0
BuildRequires: cmake >= 2.6.0
BuildRequires: coastal-qt-devel >= 0.4.1

%description
QT based GNU SIP Witch desktop gui client application.

%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DSYSCONFDIR=%{_sysconfdir} \
      -DMANDIR=%{_mandir} \
      -DDATADIR=%{_datadir} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \

%{__make} %{?_smp_mflags}

%install
cd build
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -rf %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING TODO NOTES ChangeLog
%{_bindir}/switchview
%{_datadir}/applications/switchview.desktop
%{_datadir}/icons/switchview.png

%changelog

